const responses = [
  "It is certain",
  "It is decidedly so",
  "Without a doubt",
  "Yes, definitely",
  "You may rely on it",
  "As I see it, yes",
  "Most likely",
  "Outlook good",
  "Yes",
  "Signs point to yes",
  "Reply hazy, try again",
  "Ask again later",
  "Better not tell you now",
  "Cannot predict now",
  "Concentrate and ask again",
  "Don't count on it",
  "My reply is no",
  "My sources say no",
  "Outlook not so good",
  "Very doubtful"
];

function getRandomResponse() {
  const randomIndex = Math.floor(Math.random() * responses.length);
  return responses[randomIndex];
}

function shakeMagic8Ball() {
  const magic8Ball = document.getElementById("magic-8-ball");
  const response = document.getElementById("response");
  const question = document.getElementById("questionInput").value;
  const questionElement = document.getElementById("question");

  if (question.trim() === "") {
    alert("Please enter a question.");
    return;
  }

  magic8Ball.classList.remove("shown");
  response.style.display = "none";

  setTimeout(() => {
    const randomResponse = getRandomResponse();
    response.innerText = randomResponse;
    response.style.display = "block";
    magic8Ball.classList.add("shown");
  }, 500);
}

document.getElementById("questionInput").addEventListener("keypress", function(event) {
  if (event.key === "Enter") {
    shakeMagic8Ball();
  }
});
